#! /bin/sh
target_dir=/mingw
gcc_ver=3.4.5

# version-specific files are ignored
# libstdc++_*_6.dll does not exist for gcc3.4.5, so ignored
bin_files='c++ cpp g++ gcc gcov mingw32-c++ mingw32-g++ mingw32-gcc'
bin2_files='gccbug'
info_files='cpp cppinternals gcc gccinstall gccint'
man1_files='cpp g++ gcc gcov'
man7_files='fsf-funding gfdl gpl'

if [ ! -f ${target_dir}/bin/mingw32-gcc-${gcc_ver} ]; then
	echo "${target_dir}/bin/mingw32-gcc-${gcc_ver} is not found, MinGW not installed ??"
	exit 1
fi

# libiberty
cp -fp ${target_dir}/lib/libiberty.a ${target_dir}/lib/libiberty-${gcc_ver}.a

# bin(exe)
for file in ${bin_files}
do
	cp -fp ${target_dir}/bin/${file}.exe ${target_dir}/bin/${file}-${gcc_ver}.exe
done

# bin(other)
for file in ${bin2_files}
do
	cp -fp ${target_dir}/bin/${file} ${target_dir}/bin/${file}-${gcc_ver}
done

# info
for file in ${info_files}
do
	cp -fp ${target_dir}/info/${file}.info ${target_dir}/info/${file}-${gcc_ver}.info
done

# man1
for file in ${man1_files}
do
	cp -fp ${target_dir}/man/man1/${file}.1 ${target_dir}/man/man1/${file}-${gcc_ver}.1
done

# man7
for file in ${man7_files}
do
	cp -fp ${target_dir}/man/man7/${file}.7 ${target_dir}/man/man7/${file}-${gcc_ver}.7
done
