#! /bin/sh
target_dir=$1
gcc_ver=sjlj

# libstdc++_*_6.dll does not exist for gcc3.4.5, so ignored
top_files='COPYING COPYING.LIB NEWS README'
info_files='cpp cppinternals gcc gccinstall gccint'
man1_files='cpp g++ gcc gcov'
man7_files='fsf-funding gfdl gpl'

if [ ! -f ${target_dir}/bin/mingw32-gcc-${gcc_ver}.exe ]; then
	echo "${target_dir}/bin/mingw32-gcc-${gcc_ver}.exe is not found, not ${gcc_ver} ??"
	exit 1
fi

# libiberty
mv -f ${target_dir}/lib/libiberty.a ${target_dir}/lib/libiberty-${gcc_ver}.a

# info
for file in ${info_files}
do
	mv -f ${target_dir}/info/${file}.info ${target_dir}/info/${file}-${gcc_ver}.info
done

# man1
for file in ${man1_files}
do
	mv -f ${target_dir}/man/man1/${file}.1 ${target_dir}/man/man1/${file}-${gcc_ver}.1
done

# man7
for file in ${man7_files}
do
	mv -f ${target_dir}/man/man7/${file}.7 ${target_dir}/man/man7/${file}-${gcc_ver}.7
done

# top files
for file in ${top_files}
do
	mv -f ${target_dir}/${file} ${target_dir}/${file}-${gcc_ver}
done
